import 'package:flutter/material.dart';
import 'package:sendtrain/database/database.dart';
import 'package:sendtrain/widgets/activity_card.dart';

class SessionViewActivities extends StatelessWidget {
  const SessionViewActivities({super.key, required this.activities });

  final List<Activity> activities;

  @override
  Widget build(BuildContext context) {
    return Expanded(
        child: ListView.builder(
      // shrinkWrap: true,
      padding: const EdgeInsets.fromLTRB(10, 0, 10, 0),
      itemCount: activities.length,
      itemBuilder: (BuildContext context, int index) {
        return ActivityCard(
            activity: activities[index]);
      },
    ));
  }
}